Move all to deprecated folder.

This commit is contained in:
2016-11-16 21:57:57 +01:00
parent 01738a7684
commit 05de7d6c04
9777 changed files with 0 additions and 0 deletions

View File

@@ -0,0 +1,28 @@
Fixes issues with glibc header files, see
http://bugs.gentoo.org/show_bug.cgi?id=270483
Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar>
Rebase to apply cleanly.
Signed-off-by: Danomi Manchego <danomimanchego123@gmail.com>
diff -purN a/include/ntp_syscall.h b/include/ntp_syscall.h
--- a/include/ntp_syscall.h 2015-02-11 08:42:37.794576469 -0500
+++ b/include/ntp_syscall.h 2015-02-11 08:43:03.216957279 -0500
@@ -10,6 +10,14 @@
# include <sys/timex.h>
#endif
+#if defined(ADJ_NANO) && !defined(MOD_NANO)
+#define MOD_NANO ADJ_NANO
+#endif
+
+#if defined(ADJ_TAI) && !defined(MOD_TAI)
+#define MOD_TAI ADJ_TAI
+#endif
+
#ifndef NTP_SYSCALLS_LIBC
# ifdef NTP_SYSCALLS_STD
# define ntp_adjtime(t) syscall(SYS_ntp_adjtime, (t))

View File

@@ -0,0 +1,27 @@
inline ntp syscalls fallback
Reference:
https://bugs.ntp.org/show_bug.cgi?id=769
Signed-off-by: James Knight <james.knight@rockwellcollins.com>
---
configure.ac | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/configure.ac b/configure.ac
--- a/configure.ac
+++ b/configure.ac
@@ -1523,11 +1523,11 @@ AC_CACHE_CHECK(
[ntp_cv_var_ntp_syscalls],
[
ntp_cv_var_ntp_syscalls=no
- case "$ac_cv_func_ntp_adjtime$ac_cv_func_ntp_gettime$ac_cv_func___adjtimex" in
+ case "$ac_cv_func_ntp_adjtime$ac_cv_func_ntp_gettime$ac_cv_func___adjtimex$ac_cv_func_adjtimex" in
yesyes*)
ntp_cv_var_ntp_syscalls=libc
;;
- *yes)
+ *yesyes | *yesno | *noyes)
ntp_cv_var_ntp_syscalls=inline
;;
*)

View File

@@ -0,0 +1,89 @@
config BR2_PACKAGE_NTP
bool "ntp"
select BR2_PACKAGE_LIBEVENT
help
Network Time Protocol suite/programs.
Provides things like ntpd, ntpdate, ntpq, etc...
http://www.ntp.org/
if BR2_PACKAGE_NTP
config BR2_PACKAGE_NTP_SNTP
bool "sntp"
help
Simple network time protocol program
config BR2_PACKAGE_NTP_NTP_KEYGEN
bool "ntp-keygen"
help
Create a NTP host key
config BR2_PACKAGE_NTP_NTP_WAIT
bool "ntp-wait"
depends on BR2_PACKAGE_PERL
help
ntp-wait waits until the locally running ntpd is in state 4
(synchronized). This could be useful at boot time, to delay the
boot sequence until after "ntpd -g" has set the time.
config BR2_PACKAGE_NTP_NTPD
bool "ntpd"
default y
help
ntpd is the time synchronization daemon keeping your local
system date and time in sync and optionally serving time and date
information on the network via the NTP protocol.
config BR2_PACKAGE_NTP_NTPD_ATOM_PPS
bool "PPS support"
depends on BR2_PACKAGE_NTP_NTPD
select BR2_PACKAGE_PPS_TOOLS
help
Compile ntpd with the ability to use an ATOM PPS source.
config BR2_PACKAGE_NTP_NTPDATE
bool "ntpdate"
help
The ntpdate utility program is used to set the local date and time
from an NTP server given as an argument.
config BR2_PACKAGE_NTP_NTPDC
bool "ntpdc"
help
The ntpdc utility program is used to query an NTP daemon about
its current state and to request changes in that state.
config BR2_PACKAGE_NTP_NTPQ
bool "ntpq"
help
The ntpq utility program is used to query NTP servers requesting
information about current state and/or changes in that state.
config BR2_PACKAGE_NTP_NTPSNMPD
bool "ntpsnmpd"
depends on BR2_USE_MMU # netsnmp fork()
select BR2_PACKAGE_NETSNMP
help
Install ntpsnmpd NTP SNMP MIB agent.
config BR2_PACKAGE_NTP_NTPTIME
bool "ntptime"
help
The ntptime utility program is used to read and set kernel time
variables.
config BR2_PACKAGE_NTP_NTPTRACE
bool "ntptrace"
depends on BR2_PACKAGE_PERL
help
ntptrace is a perl script that uses the ntpq utility program to
follow the chain of NTP servers from a given host back to the
primary time source
config BR2_PACKAGE_NTP_TICKADJ
bool "tickadj"
help
set time-related kernel variables
endif

View File

@@ -0,0 +1,38 @@
#! /bin/sh
NAME=ntpd
DAEMON=/usr/sbin/$NAME
# Gracefully exit if the package has been removed.
test -x $DAEMON || exit 0
# Read config file if it is present.
if [ -r /etc/default/$NAME ]
then
. /etc/default/$NAME
fi
case "$1" in
start)
printf "Starting $NAME: "
start-stop-daemon -S -q -x $DAEMON -- -g
[ $? = 0 ] && echo "OK" || echo "FAIL"
;;
stop)
printf "Stopping $NAME: "
start-stop-daemon -K -q -n $NAME
[ $? = 0 ] && echo "OK" || echo "FAIL"
;;
restart|reload)
echo "Restarting $NAME: "
$0 stop
sleep 1
$0 start
;;
*)
echo "Usage: $0 {start|stop|restart|reload}" >&2
exit 1
;;
esac
exit 0

View File

@@ -0,0 +1,4 @@
# From http://www.eecis.udel.edu/~ntp/ntp_spool/ntp4/ntp-4.2/ntp-4.2.8p6.tar.gz.md5
md5 60049f51e9c8305afe30eb22b711c5c6 ntp-4.2.8p6.tar.gz
# Calculated based on the hash above
sha256 583d0e1c573ace30a9c6afbea0fc52cae9c8c916dbc15c026e485a0dda4ba048 ntp-4.2.8p6.tar.gz

View File

@@ -0,0 +1,75 @@
################################################################################
#
# ntp
#
################################################################################
NTP_VERSION_MAJOR = 4.2
NTP_VERSION = $(NTP_VERSION_MAJOR).8p6
NTP_SITE = http://www.eecis.udel.edu/~ntp/ntp_spool/ntp4/ntp-$(NTP_VERSION_MAJOR)
NTP_DEPENDENCIES = host-pkgconf libevent $(if $(BR2_PACKAGE_BUSYBOX),busybox)
NTP_LICENSE = ntp license
NTP_LICENSE_FILES = COPYRIGHT
NTP_CONF_ENV = ac_cv_lib_md5_MD5Init=no
NTP_CONF_OPTS = \
--with-shared \
--program-transform-name=s,,, \
--disable-tickadj \
--with-yielding-select=yes \
--disable-local-libevent
# 0002-ntp-syscalls-fallback.patch
NTP_AUTORECONF = YES
ifeq ($(BR2_PACKAGE_OPENSSL),y)
NTP_CONF_OPTS += --with-crypto
NTP_DEPENDENCIES += openssl
else
NTP_CONF_OPTS += --without-crypto --disable-openssl-random
endif
ifeq ($(BR2_PACKAGE_NTP_NTPSNMPD),y)
NTP_CONF_OPTS += \
--with-net-snmp-config=$(STAGING_DIR)/usr/bin/net-snmp-config
NTP_DEPENDENCIES += netsnmp
else
NTP_CONF_OPTS += --without-ntpsnmpd
endif
ifeq ($(BR2_PACKAGE_NTP_NTPD_ATOM_PPS),y)
NTP_CONF_OPTS += --enable-ATOM
NTP_DEPENDENCIES += pps-tools
else
NTP_CONF_OPTS += --disable-ATOM
endif
NTP_INSTALL_FILES_$(BR2_PACKAGE_NTP_NTP_KEYGEN) += util/ntp-keygen
NTP_INSTALL_FILES_$(BR2_PACKAGE_NTP_NTP_WAIT) += scripts/ntp-wait/ntp-wait
NTP_INSTALL_FILES_$(BR2_PACKAGE_NTP_NTPDATE) += ntpdate/ntpdate
NTP_INSTALL_FILES_$(BR2_PACKAGE_NTP_NTPDC) += ntpdc/ntpdc
NTP_INSTALL_FILES_$(BR2_PACKAGE_NTP_NTPQ) += ntpq/ntpq
NTP_INSTALL_FILES_$(BR2_PACKAGE_NTP_NTPSNMPD) += ntpsnmpd/ntpsnmpd
NTP_INSTALL_FILES_$(BR2_PACKAGE_NTP_NTPTIME) += util/ntptime
NTP_INSTALL_FILES_$(BR2_PACKAGE_NTP_NTPTRACE) += scripts/ntptrace/ntptrace
NTP_INSTALL_FILES_$(BR2_PACKAGE_NTP_SNTP) += sntp/sntp
NTP_INSTALL_FILES_$(BR2_PACKAGE_NTP_TICKADJ) += util/tickadj
define NTP_INSTALL_TARGET_CMDS
$(if $(BR2_PACKAGE_NTP_NTPD), install -m 755 $(@D)/ntpd/ntpd $(TARGET_DIR)/usr/sbin/ntpd)
test -z "$(NTP_INSTALL_FILES_y)" || install -m 755 $(addprefix $(@D)/,$(NTP_INSTALL_FILES_y)) $(TARGET_DIR)/usr/bin/
$(INSTALL) -m 644 package/ntp/ntpd.etc.conf $(TARGET_DIR)/etc/ntp.conf
endef
ifeq ($(BR2_PACKAGE_NTP_NTPD),y)
define NTP_INSTALL_INIT_SYSV
$(INSTALL) -D -m 755 package/ntp/S49ntp $(TARGET_DIR)/etc/init.d/S49ntp
endef
define NTP_INSTALL_INIT_SYSTEMD
$(INSTALL) -D -m 644 package/ntp/ntpd.service $(TARGET_DIR)/usr/lib/systemd/system/ntpd.service
mkdir -p $(TARGET_DIR)/etc/systemd/system/multi-user.target.wants
ln -fs ../../../../usr/lib/systemd/system/ntpd.service \
$(TARGET_DIR)/etc/systemd/system/multi-user.target.wants/ntpd.service
endef
endif
$(eval $(autotools-package))

View File

@@ -0,0 +1,10 @@
server 0.pool.ntp.org iburst
server 1.pool.ntp.org iburst
server 2.pool.ntp.org iburst
server 3.pool.ntp.org iburst
# Allow only time queries, at a limited rate, sending KoD when in excess.
# Allow all local queries (IPv4, IPv6)
restrict default nomodify nopeer noquery limited kod
restrict 127.0.0.1
restrict [::1]

View File

@@ -0,0 +1,11 @@
[Unit]
Description=Network Time Service
After=network.target
[Service]
Type=forking
PIDFile=/run/ntpd.pid
ExecStart=/usr/sbin/ntpd -g -p /run/ntpd.pid
[Install]
WantedBy=multi-user.target